/* Admin JS */

import DateInputs from "./date_inputs.js";

import ActivityForm from "./activity_form.js";
let activityForm = document.getElementById("activity_form");
if (activityForm) {
  ActivityForm.init(activityForm);
  DateInputs.init();
}

import ActForm from "./act_form.js";
let actForm = document.getElementById("act_form");
if (actForm) {
  ActForm.init(actForm);
  DateInputs.init();
}

import SortableList from "./sortable_list.js";
if (document.getElementsByClassName("sortable").length > 0) {
 SortableList.init();
}

import IndicatorForm from "./indicator_form.js";
let indicatorKindSelect = document.getElementById("indicator_kind_id");
if (indicatorKindSelect) {
  IndicatorForm.init(indicatorKindSelect);
}

import ConfigForm from "./config_form.js";
let configForm = document.getElementById("config_form");
if (configForm) {
  ConfigForm.init(configForm);
}

import IEWarning from "./ie_warning.js";
IEWarning.init();

import SbAdminLocal from "./sb-admin-2.js";
SbAdminLocal.init();
