// We need to import the CSS so that webpack will load it.
// The MiniCssExtractPlugin is used to separate it out into
// its own CSS file.
import css from "../css/app.scss"

// webpack automatically bundles all modules in your
// entry points. Those entry points can be configured
// in "webpack.config.js".
//
// Import dependencies
//
import "phoenix_html"


// Bootstrap
import "../node_modules/startbootstrap-sb-admin-2/vendor/jquery/jquery.min.js"
import "../node_modules/startbootstrap-sb-admin-2/vendor/bootstrap/js/bootstrap.bundle.min.js"

// import "../node_modules/startbootstrap-sb-admin-2/vendor/jquery-easing/jquery.easing.min.js"
// import "../node_modules/startbootstrap-sb-admin-2/js/sb-admin-2.min.js"


// LiveView
import {Socket} from "phoenix"
import LiveSocket from "phoenix_live_view"

// let liveSocket = new LiveSocket("/live", Socket)
// liveSocket.connect()
//

// Import local files
//
// Local files can be imported directly using relative paths, for example:
// import socket from "./socket"


// Carousel for photos
import ActivityPhotosCarousel from "./activity_photos_carousel.js";
let photosContainers = document.querySelectorAll(".photos_container");
if (photosContainers.length > 0 ) {
  ActivityPhotosCarousel.init("div.photos_container");
}
