/* Config orm */

let ConfigForm = {
  init(configForm) {
    Array.from(configForm.elements["entity_config[color_theme]"]).forEach(function(radio) {
      radio.addEventListener("click", ConfigForm.changeColorTheme);
    });

  },

  changeColorTheme(event) {
    let themeStylesheet =  document.getElementById("theme_stylesheet");

    if (themeStylesheet) {
      themeStylesheet.href=this.dataset.stylesheetFile;
    }
  }

  // UNUSED
  // preloadStylesheet(url) {
  //   let preloadLink = document.createElement("link");
  //   preloadLink.href = url;
  //   preloadLink.rel = "preload";
  //   preloadLink.as = "style";
  //   document.head.appendChild(preloadLink);
  // }
}

export default ConfigForm;
