defmodule OgpEuskadiWeb.Admin.PlanController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Translator
  alias OgpEuskadi.Plan
  alias OgpEuskadi.Plan.Goal

  def index(conn, _params, prefix) do
    goals =
      Plan.list_goals_with_actions_and_activities(prefix)
      |> Translator.translate(conn.assigns.locale)

    render(conn, "index.html", goals: goals)
  end

end
