defmodule OgpEuskadiWeb.GoalController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Overview

  def show(conn, %{"id" => id}, prefix) do
    goal = Overview.get_goal!(id, conn.assigns.locale, prefix)
    acts = Overview.get_goal_acts_with_activity_counters(goal, conn.assigns.locale)
    render(conn, "show.html", goal: goal, acts: acts)
  end


end
