#
# BAsed on https://medium.com/@njwest/jwt-auth-with-an-elixir-on-phoenix-1-3-guardian-api-and-react-native-mobile-app-1bd00559ea51
#
defmodule OgpEuskadi.Plugs.ApiAuthErrorHandler do
  use OgpEuskadiWeb, :controller

  def auth_error(conn, {type, _reason}, _opts) do
    conn
    |> put_resp_content_type("application/json")
    |> put_status(:unauthorized)
    |> json(%{error: to_string(type)})
  end
end
