defmodule OgpEuskadi.Uploaders.Tools do
 @doc """
  Replaces UTF charactes with their ASCII equivalent and keeps only word characters
  """
  def sanitize_filename(file_name) do
    file_name
    |> String.normalize(:nfd)
    |> String.replace(~r/\./," ")
    |> String.replace(~r/[^\w\s]/u, "")
    |> String.replace(~r/\s/,"-")
  end
end
