defmodule OgpEuskadiWeb.Api.IndicatorKindView do
  use OgpEuskadiWeb, :view

  alias OgpEuskadi.Basic.IndicatorKind
  alias OgpEuskadiWeb.Api.IndicatorKindView

  def render("index.json", %{items: items}) do
    %{"indicator_kinds" => render_many(items, IndicatorKindView, "item.json")}
  end

  def render("item.json", %{indicator_kind: item}) do
    %{
      id: item.id,
      name_es: item.name_es,
      name_eu: item.name_eu,
      options: IndicatorKind.options_data(item)
    }
  end
end
