defmodule OgpEuskadiWeb.Api.OdsView do
  use OgpEuskadiWeb, :view

  alias OgpEuskadiWeb.Api.OdsView

  def render("index.json", %{items: items}) do
    %{"ods" => render_many(items, OdsView, "item.json")}
  end

  def render("item.json", %{ods: item}) do
    %{
      id: item.id,
      title_es: item.title_es,
      title_eu: item.title_eu
    }
  end
end
