defmodule OgpEuskadiWeb.Api.SubdivisionView do
  use OgpEuskadiWeb, :view

  alias OgpEuskadiWeb.Api.SubdivisionView

  def render("index.json", %{items: items}) do
    %{"subdivisions" => render_many(items, SubdivisionView, "item.json")}
  end

  def render("item.json", %{subdivision: item}) do
    %{
      id: item.id,
      name_es: item.name_es,
      name_eu: item.name_eu,
      description_es: item.description_es,
      description_eu: item.description_eu
    }
  end
end
