defmodule OgpEuskadiWeb.Api.TopicView do
  use OgpEuskadiWeb, :view

  alias OgpEuskadiWeb.Api.TopicView

  def render("index.json", %{topics: topics}) do
    %{"topics" => render_many(topics, TopicView, "topic.json")}
  end

  def render("topic.json", %{topic: topic}) do
    %{
      id: topic.id,
      title_es: topic.title_es,
      title_eu: topic.title_eu
    }
  end
end
