defmodule OgpEuskadiWeb.SearchView do
  use OgpEuskadiWeb, :view

  def item_icon(%OgpEuskadi.Search.MatchingItem{} = item) do
    case item.kind do
      "goal" -> OgpEuskadiWeb.LayoutView.goal_icon()
      "act" -> OgpEuskadiWeb.LayoutView.act_icon()
      "activity" -> OgpEuskadiWeb.LayoutView.activity_icon()
      _ -> ""
    end
  end

  def item_link_path(%OgpEuskadi.Search.MatchingItem{} = item, conn) do
    case item.kind do
      "goal" -> Routes.goal_path(conn, :show, conn.assigns.tenant, conn.assigns.locale, item)
      "act" -> Routes.act_path(conn, :show, conn.assigns.tenant, conn.assigns.locale, item)
      "activity" -> Routes.act_path(conn, :show, conn.assigns.tenant, conn.assigns.locale, item.act_id)<>"#activity#{item.id}"
      _ -> "#"
    end
  end

end
