defmodule OgpEuskadi.Repo.Migrations.CreateApiKeys do
  use Ecto.Migration

  def change do
    create table(:api_keys) do
      add :client, :string
      add :key, :string
      add :entity_id, references(:entities, on_delete: :delete_all)

      timestamps()
    end

    create index(:api_keys, [:entity_id])
  end
end
