defmodule OgpEuskadi.Repo.Migrations.CreateActs do
  use Ecto.Migration

  def change do
    create table(:acts) do
      add :goal_id, references(:goals)
      add :title, :string
      add :description, :text
      add :starts_on, :date
      add :ends_on, :date
      add :state, :string
      add :budget, :float
      add :goal, :float
      add :indicator_kind, :string
      add :indicator_goal, :float
      add :indicator_current_value, :float

      timestamps()
    end

  end
end
