defmodule OgpEuskadi.Repo.Migrations.CreatePhotos do
  use Ecto.Migration

  def change do
    create table(:photos) do
      add :image, :string
      add :caption, :text
      add :activity_id, references(:activities, on_delete: :delete_all), null: false
      add :user_id, references(:users, on_delete: :delete_all), null: false

      timestamps()
    end

    create index(:photos, [:activity_id])
  end
end
