defmodule OgpEuskadi.Repo.Migrations.CreateActsOds do
  use Ecto.Migration

  def change do
    create table(:acts_ods) do
      add :act_id, references(:acts, on_delete: :delete_all)
      add :ods_id, references(:ods, on_delete: :delete_all)

      timestamps()
    end

    create index(:acts_ods, [:act_id])
  end
end
