defmodule OgpEuskadiWeb.ActManagementTest do
  use OgpEuskadiWeb.IntegrationCase, async: true

  describe "active act" do
    setup %{session: session} do
      {:ok, user} = OgpEuskadi.Accounts.create_user(%{username: "Test", credential: %{email: "test@efaber.net", password: "secret"}}, "ogpe_test_tenant")
      # user = tenant_insert(:user) NO FUNCIONA - no genera el password_hash????
      act = tenant_insert(:act)
      add_activity(act) |> tenant_insert()

      tenant_login(session, user)

      {:ok, session: session, act: act}
    end

    test "show act page", %{session: session, act: act} do
      session
      |> visit("/test_tenant/es/admin/act/#{act.id}")
      |> assert_has(css("h2", text: act.title_es))

      # CHECK
      # has_link "modificar datos acción"
      # has_link "añadir indicador"
      # has_link "modificar textos indicadores"
      # has_link "añadir actividad"
    end

    test "does not assigns each subdivision_ids when all_subdivisions is checked" do
      # Ticket #12225
      IO.puts "2DO "
    end
  end

  describe "discarded act" do
    ## 2DO
    ## CHECK
    # has_link "modificar datos acción"
    # has_no_link "añadir indicador"
    # has_link "modificar textos indicadores"
    # has_no_link "añadir actividad"
  end
end
