defmodule OgpEuskadi.Plan.ActTopic do
  use Ecto.Schema
  import Ecto.Changeset

  alias OgpEuskadi.Basic
  alias OgpEuskadi.Plan

  schema "acts_topics" do
    belongs_to :act, Plan.Act
    belongs_to :topic, Basic.Topic

    has_many :activities, through: [:act, :activities]
    timestamps()
  end

  ### @doc false
  ### def changeset(act_topic, attrs) do
  ###   act_topic
  ###   |> cast(attrs, [])
  ###   |> validate_required([])
  ### end
end
