defmodule OgpEuskadiWeb.Api.FallbackController do
  use OgpEuskadiWeb, :controller

  alias OgpEuskadiWeb.Exceptions.InvalidDataError

  def call(conn, {:error, %Ecto.Changeset{} = changeset}) do
    raise InvalidDataError, conn: conn, changeset: changeset
  end

  def call(conn, {:error, _item, %Ecto.Changeset{} = changeset, _}) do
    raise InvalidDataError, conn: conn, changeset: changeset
  end

end
