defmodule OgpEuskadiWeb.PlanController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Overview

  def index(%{assigns: %{locale: locale}} = conn, _params, prefix) do
    goals = Overview.list_goals_with_actions_and_activities(locale, prefix)
    render(conn, "index.html", goals: goals)
  end

end
