defmodule OgpEuskadiWeb.SearchController do
  use OgpEuskadiWeb, :controller
  use OgpEuskadiWeb.CurrentPrefixHelper

  alias OgpEuskadi.Search

  def index(%{assigns: %{locale: locale}} = conn, params, prefix) do
    search_term = get_in(params, ["query"])
    items = Search.list_items(search_term, locale, prefix)
    render(conn, "index.html", search_term: search_term, items: items)
  end


end
