defmodule OgpEuskadi.Plugs.ApiAuthPipeline do
  use Guardian.Plug.Pipeline, otp_app: :ogp_euskadi,
      module: OgpEuskadi.Auth.Guardian,
      error_handler: OgpEuskadi.Plugs.ApiAuthErrorHandler

  plug Guardian.Plug.VerifyHeader, realm: "Bearer"
  plug Guardian.Plug.EnsureAuthenticated
  plug Guardian.Plug.LoadResource
end
