defmodule OgpEuskadiWeb.Plugs.ApiSetPrefix do
  import Plug.Conn

  alias OgpEuskadi.Site.Entity

  def init(_opts) do
  end

  def call(conn, _params) do
    case Guardian.Plug.current_resource(conn)  do
      %Entity{} = entity ->
        assign(conn, :prefix, Triplex.to_prefix(entity.tenant))
      _ ->
        conn
        |> halt
    end
  end
end
