defmodule OgpEuskadiWeb.ActView do
  use OgpEuskadiWeb, :view

  def date_text(nil, nil) do
    content_tag(:span, {:safe, "&mdash;"})
  end

  def date_text(expected, nil) when is_binary(expected) do
    "#{expected} (#{gettext("prevista")})"
  end

  def date_text(nil, real) when is_binary(real) do
    "#{real}"
  end

  def date_text(expected, real) when is_binary(expected) and is_binary(real) do
    "#{real} (#{gettext("prevista")} #{expected})"
  end

  def act_item_class(act) do
    item_class=[]
    item_class = if act.draft, do: ["draft" | item_class], else: item_class
    item_class = if act.discarded, do: ["discarded" | item_class], else: item_class
  end
end
