defmodule OgpEuskadiWeb.EntityServiceView do
  use OgpEuskadiWeb, :view

  def icon_for(url) when is_binary(url) do
    cond do
      String.match?(url, ~r/twitter/) ->
        "<i class=\"fab fa-twitter\"></i>"

      String.match?(url, ~r/facebook/) ->
        "<i class=\"fab fa-facebook\"></i>"

      true ->
        "<i class=\"fas fa-external-link-square-alt\"></i>"
    end
  end
end
