defmodule OgpEuskadi.Repo.Migrations.CreateEntities do
  use Ecto.Migration

  def change do
    create table(:entities) do
      add :tenant, :string, null: false
      add :name_es, :string, null: false
      add :name_eu, :string, null: false
      add :logo_path, :string
      add :published, :boolean, default: false, null: false
      add :published_at, :date

      timestamps()
    end

    create index("entities", [:tenant], unique: true)
  end
end
