defmodule OgpEuskadi.Repo.Migrations.CreateDocuments do
  use Ecto.Migration

  def change do
    create table(:documents) do
      add :file, :string
      add :caption, :text
      add :activity_id, references(:activities, on_delete: :delete_all), null: false
      add :user_id, references(:users, on_delete: :delete_all), null: false

      timestamps()
    end

    create index(:documents, [:activity_id])
  end
end
