defmodule OgpEuskadi.Repo.Migrations.CreateActsTopics do
  use Ecto.Migration

  def change do
    create table(:acts_topics) do
      add :act_id, references(:acts, on_delete: :nothing)
      add :topic_id, references(:topics, on_delete: :nothing)

      timestamps()
    end

    create index(:acts_topics, [:act_id])
  end
end
