defmodule OgpEuskadi.Repo.Migrations.CreateIndicators do
  use Ecto.Migration

  def change do
    create table(:indicators) do
      add :title_es, :string
      add :title_eu, :string
      add :goal_value, :decimal
      add :current_value, :decimal
      add :units_es, :string
      add :units_eu, :string
      add :kind_id, references(:indicator_kinds, on_delete: :restrict)
      add :act_id, references(:acts, on_delete: :delete_all)

      timestamps()
    end

    create index(:indicators, [:act_id])
  end
end
