defmodule OgpEuskadi.Repo.Migrations.SetActsTopicsOnDelete do
  use Ecto.Migration

  def up do
    drop_if_exists constraint(:acts_topics, "acts_topics_act_id_fkey")
    drop_if_exists constraint(:acts_topics, "acts_topics_topic_id_fkey")
    alter table(:acts_topics) do
      modify :act_id, references(:acts, on_delete: :delete_all)
      modify :topic_id, references(:topics, on_delete: :delete_all)
    end
  end

  def down do
    IO.puts "Nothing to do."
  end
end
