defmodule OgpEuskadi.Repo.Migrations.CreateActsSubdivisions do
  use Ecto.Migration

  def change do
    create table(:acts_subdivisions) do
      add :act_id, references(:acts, on_delete: :delete_all)
      add :subdivision_id, references(:subdivisions, on_delete: :delete_all)

      timestamps()
    end

    create index(:acts_subdivisions, [:act_id])
    create index(:acts_subdivisions, [:subdivision_id])
  end
end
