defmodule OgpEuskadi.Repo.Migrations.FixActivityIndicatorsIndicatorForeignKey do
  use Ecto.Migration

  def up do
    drop constraint("activity_indicators", "activity_indicators_indicator_id_fkey")
    execute  "ALTER TABLE #{prefix()}.activity_indicators ADD FOREIGN KEY (indicator_id) REFERENCES #{prefix()}.indicators"
  end

  def down do
    execute  "ALTER TABLE #{prefix()}.activity_indicators ADD FOREIGN KEY (indicator_id) REFERENCES #{prefix()}.indicators ON DELETE CASCADE"
  end
end
