defmodule OgpEuskadi.Repo.Migrations.RenameTopic do
  use Ecto.Migration

  import Ecto.Query

  def change do
    from(t in OgpEuskadi.Basic.Topic, where: t.title_es == "Diversidad funcional")
    |> OgpEuskadi.Repo.all(prefix: prefix())
    |> Enum.map(fn topic ->
      OgpEuskadi.Basic.update_topic(topic, %{title_es: "Diversidad funcional / Accesibilidad", title_eu: "Dibertsitate funtzionala / Irisgarritasuna"})
    end )
  end
end
