defmodule OgpEuskadiWeb.UserEmailTest do
  use ExUnit.Case

  test "reset_token email" do
    user_name = "Ana"
    user_email = "test@efaber.net"
    reset_url = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

    email = OgpEuskadiWeb.UserEmail.reset_token_email(user_name, user_email, reset_url)

    assert email.to == user_email

    assert email.html_body =~ "<p>Has solicitado restablecer la contraseña"
    assert email.html_body =~ reset_url
    assert email.text_body =~ "Has solicitado restablecer la contraseña"
    assert email.text_body =~ reset_url
  end
end
